Package relaxngcc

## Class Options

- java.lang.Object
- - relaxngcc.Options

-     public class Options
      extends java.lang.Object

  RelaxNGCC behavior options

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.io.File` | `_purifiedSchema` | If not null, outputs a "purified" schema file into this file.
    `boolean` | `debug` |
    `java.lang.String` | `newline` |
    `boolean` | `noCodeGeneration` | Do not generate source code.
    `boolean` | `noRuntime` | Dpn't copy relaxngcc.runtime package
    `java.io.File` | `printAutomata` | Directory to write automata gif files.
    `boolean` | `printFirstFollow` | Print FIRST and FOLLOW.
    `boolean` | `smartOverwrite` | Don't overwrite files when the Java files are up-to-date.
    `java.io.File` | `sourcefile` |
    `java.io.File` | `targetdir` |
    `boolean` | `usePrivateRuntime` | Uses a private copy of runtime code.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options()` | Creates Options filled by the default values.
    `Options​(java.lang.String[] args)` | Parses option list.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourcefile

          public java.io.File sourcefile

    - #### targetdir

          public java.io.File targetdir

    - #### debug

          public boolean debug

    - #### newline

          public java.lang.String newline

    - #### printAutomata

          public java.io.File printAutomata

      Directory to write automata gif files. A debug option. If null, we won't generate automata dumps.

    - #### printFirstFollow

          public boolean printFirstFollow

      Print FIRST and FOLLOW. A debug option.

    - #### noCodeGeneration

          public boolean noCodeGeneration

      Do not generate source code.

    - #### usePrivateRuntime

          public boolean usePrivateRuntime

      Uses a private copy of runtime code.

    - #### smartOverwrite

          public boolean smartOverwrite

      Don't overwrite files when the Java files are up-to-date.

    - #### noRuntime

          public boolean noRuntime

      Dpn't copy relaxngcc.runtime package

    - #### _purifiedSchema

          public java.io.File _purifiedSchema

      If not null, outputs a "purified" schema file into this file.

  - ### Constructor Detail

    - #### Options

          public Options()

      Creates Options filled by the default values.

    - #### Options

          public Options​(java.lang.String[] args)
                  throws CommandLineException

      Parses option list.
      Throws:
        `CommandLineException`